# Installation
> `npm install --save @types/webassembly-web-api`

# Summary
This package contains type definitions for the WebAssembly Web API v1 (https://webassembly.org/).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/webassembly-web-api.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/webassembly-web-api/index.d.ts)
````ts
// Type definitions for the WebAssembly Web API v1
// Project: https://webassembly.org/
// Definitions by: Johannes Henninger <https://github.com/jhenninger>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 2.2

/**
 *  The WebAssembly Web API defines extensions to the JavaScript API made
 *  available specifically in web browsers. See [WebAssembly Web
 *  API](https://www.w3.org/TR/wasm-web-api-1/) for more information.
 */
declare namespace WebAssembly {
    /// Other WebAssembly declarations, for compatibility with older versions of Typescript
    // tslint:disable-next-line no-empty-interface
    interface Module {}
    // tslint:disable-next-line no-empty-interface
    interface Instance {}
    interface ResultObject {
        module: Module;
        instance: Instance;
    }

    function compileStreaming(source: Response | Promise<Response>): Promise<Module>;
    function instantiateStreaming(source: Response | Promise<Response>, importObject?: object): Promise<ResultObject>;
}

````

### Additional Details
 * Last updated: Mon, 25 Sep 2023 13:39:06 GMT
 * Dependencies: none
 * Global values: `WebAssembly`

# Credits
These definitions were written by [Johannes Henninger](https://github.com/jhenninger).
